Skip to main content
`Ctrl`+`K`

# PCFactorGetMatSolverType

gets the solver package that is used to perform the factorization

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFactorGetMatSolverType(PC pc, MatSolverType *stype)

Not Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- stype - for example, `MATSOLVERSUPERLU`, `MATSOLVERSUPERLU_DIST`, `MATSOLVERMUMPS`

## See Also

KSP: Linear System Solvers, `PCLU`, `PCCHOLESKY`, `MatGetFactor()`, `MatSolverType`, `MATSOLVERSUPERLU`, `MATSOLVERSUPERLU_DIST`, `MATSOLVERMUMPS`

## Level

intermediate

## Location

src/ksp/pc/impls/factor/factor.c

## Implementations

PCFactorGetMatSolverType_Factor() in src/ksp/pc/impls/factor/factimpl.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages